2017-11-20 23:51 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001809openmediavaultBugpublic2017-08-23 12:19
Reportersubzero79 
Assigned Tovotdev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSdebianOS Version9.1
Product VersionArrakis (4.x) 
Target VersionFixed in VersionArrakis (4.x) 
Summary0001809: nfs-common service unit is masked
DescriptionThis an error trying to enable/start nfs-server in omv4

Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; systemctl enable nfs-common 2>&1' with exit code '1': Synchronizing state of nfs-common.service with SysV service script with /lib/systemd/systemd-sysv-install. Executing: /lib/systemd/systemd-sysv-install enable nfs-common Failed to enable unit: Unit file /lib/systemd/system/nfs-common.service is masked.

This is related to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=796637

Apparently nfs-common service is no longer required as the package now ships individual service units file for the most common nfs daemons (statd, idmapd, etc)

a small snippet of the package
dpkg-query -L nfs-common

/.
/etc
/etc/default
/etc/default/nfs-common
/etc/init.d
/etc/init.d/nfs-common
/etc/request-key.d
/etc/request-key.d/id_resolver.conf
/lib
/lib/systemd
/lib/systemd/system
/lib/systemd/system/auth-rpcgss-module.service
/lib/systemd/system/nfs-client.target
/lib/systemd/system/nfs-config.service
/lib/systemd/system/nfs-idmapd.service
/lib/systemd/system/nfs-utils.service
/lib/systemd/system/proc-fs-nfsd.mount
/lib/systemd/system/rpc-gssd.service
/lib/systemd/system/rpc-statd-notify.service
/lib/systemd/system/rpc-statd.service
/lib/systemd/system/rpc-svcgssd.service
/lib/systemd/system/run-rpc_pipefs.mount
Additional InformationThis needs further investigation as to know which services should also be enabled in conjunction with the nfs-kernel-server.

A quick look at /lib/systemd/system/nfs-kernel-server we can see the dependencies already there

[Unit]
Description=NFS server and services
DefaultDependencies=no
Requires= network.target proc-fs-nfsd.mount
Requires= nfs-mountd.service
Wants=rpcbind.socket
Wants=nfs-idmapd.service

After= local-fs.target
After= network.target proc-fs-nfsd.mount rpcbind.socket nfs-mountd.service
After= nfs-idmapd.service rpc-statd.service
Before= rpc-statd-notify.service

# GSS services dependencies and ordering
Wants=auth-rpcgss-module.service
After=rpc-gssd.service gssproxy.service rpc-svcgssd.service

# start/stop server before/after client
Before=remote-fs-pre.target

Wants=nfs-config.service
After=nfs-config.service

[Service]
EnvironmentFile=-/run/sysconfig/nfs-utils

Type=oneshot
RemainAfterExit=yes
ExecStartPre=/usr/sbin/exportfs -r
ExecStart=/usr/sbin/rpc.nfsd $RPCNFSDARGS
ExecStop=/usr/sbin/rpc.nfsd 0
ExecStopPost=/usr/sbin/exportfs -au
ExecStopPost=/usr/sbin/exportfs -f

ExecReload=/usr/sbin/exportfs -r

[Install]
WantedBy=multi-user.target
TagsNo tags attached.
Product build4.0.3-1
Attached Files

-Relationships
+Relationships

-Notes

~0004931

votdev (administrator)

Fixed in openmediavault 4.0.4, see https://github.com/openmediavault/openmediavault/commit/1a6215bc3f9d05bf8944063cd1344e839c19b9c2.
+Notes

-Issue History
Date Modified Username Field Change
2017-08-22 06:03 subzero79 New Issue
2017-08-22 06:03 subzero79 Status new => assigned
2017-08-22 06:03 subzero79 Assigned To => votdev
2017-08-23 12:19 votdev Status assigned => resolved
2017-08-23 12:19 votdev Resolution open => fixed
2017-08-23 12:19 votdev Fixed in Version => Arrakis (4.x)
2017-08-23 12:19 votdev Note Added: 0004931
+Issue History